SeExpr

Classes | Namespaces
ControlSpec.h File Reference
`#include <string.h>`
`#include <string>`
`#include <vector>`
`#include <cstdio>`
`#include <SeExpr2/ExprWalker.h>`
`#include <SeExpr2/ExprNode.h>`
`#include <SeExpr2/Curve.h>`

Go to the source code of this file.

## Classes
class | SeExpr2::ControlSpec
| Generic Expression control specification. More...
class | SeExpr2::ExprScalarAssignSpec
| Variable equals scalar control specification. More...
class | SeExpr2::ExprVectorAssignSpec
| Variable equals vector control specification. More...
class | SeExpr2::ExprCurveAssignSpec< T >
| Curve assignment expression. Assignment of curve to a variable. More...
class | SeExpr2::ExprStrSpec
class | SeExpr2::SpecExaminer
| Examiner that builds a list of specs potentially used in widgets (for qdgui) More...

## Namespaces
| SeExpr2